Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface ExternalAuthorized

All Known Subinterfaces:
  HttpExternalAuthorized

    public interface ExternalAuthorized

This interface maintains external authorized user sessions.

See Also:
  `HttpExternalAuthorized`

Method Summary
`boolean` | `askInvalidate(UserSession userSession)` Asks if to invalidate an external authorized user session (i.e.
`java.lang.String` | `getExternalAuthorizedUser(java.lang.String activeRealm, java.lang.Object userInfo)` Gets the external authorized user ID.
`void` | `notifyLogout(UserSession userSession)` Notifies an external authorized user session logout.

Method Detail

### getExternalAuthorizedUser

    java.lang.String getExternalAuthorizedUser(java.lang.String activeRealm,
                                               java.lang.Object userInfo)

  Gets the external authorized user ID. To implement this interface, design a mechanism to transfer the authorized user information by a userInfo object.

  Parameters:
    `activeRealm` - the active realm.
    `userInfo` - the object containing user information to get the external authorized user ID.
  Returns:
    the external authorized user ID. Returns null if it cannot get authorized user information from the userInfo object. The user ID should be a valid user ID in the report server.

### askInvalidate

    boolean askInvalidate(UserSession userSession)

  Asks if to invalidate an external authorized user session (i.e. the session is expired). The report server calls this method before the session is invalidated. Note: The server will not call this method if a user logs out. The method notifyLogout(...) will be called after logout.

  Parameters:
    `userSession` - the user session.
  Returns:
    true to invalidate the session, false not to invalidate the session.

### notifyLogout

    void notifyLogout(UserSession userSession)

  Notifies an external authorized user session logout. The report server calls this method after logout.

  Parameters:
    `userSession` - the user session.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD